architectures package reason
i486,i686,pentium4 kodi-addon-game-libretro-mupen64plus-nx,mupen64plus direct GOT relocation R_386_GOT32X against
i486,i686,pentium4 kodi-addon-game-libretro-desmume,kodi-addon-game-libretro-mupen64plus,kodi-addon-game-libretro-parallel-n64,libretro-blastem,libretro-citra,libretro-desmume,libretro-dolphin,libretro-mupen64plus-next,libretro-parallel-n64,libretro-play,libretro-ppsspp You're building on an unsupported platform: 'i686' with 4-byte pointers, see also FS32#23
i486,i686,pentium4 keybase,signal-desktop blocked by electron
i486 java11-openjfx,java8-openjfx Support for non-64bit platforms was deprecated 1 Jun 2016 and has now been removed. If non-64bit support is a critical feature for your application, please email contact@rubinius.com
i686,pentium4 java11-openjfx,java8-openjfx,rubinius Support for non-64bit platforms was deprecated 1 Jun 2016 and has now been removed. If non-64bit support is a critical feature for your application, please email contact@rubinius.com
i486 js78 js78 needs the whole browser to build (which needs Rust), I doubt the Javascript interpreter itself is written in Rust
i486,i686,pentium4 julia /build/julia/src/julia/src/atomics.h:9:4: error: #error Julia can only be built for architectures above Pentium 4. Pass -march=pentium4, or set MARCH=pentium4 and ensure that -march is not passed separately with an older architecture.
i486,i686,pentium4 intel-compute-runtime,intel-graphics-compiler,intel-media-driver,intel-media-sdk Broadwell+ iGPUs, not really useful for old machines
i486,i686,pentium4 intel-dnnl DNNL supports 64 bit platforms only
i486,i686,pentium4 opera dropped 32-bit version in version 46.0.2597.26
i486,i686,pentium4 ospray,paraview "Your Embree build needs to support at least one ISA >= SSE4.1!"
any ovmf "ERROR: This package must be built under the x86_64 architecture.", UEFI for VMS, of little use anyway with 32-bit machines
i486,i686,pentium4 libnm-glib no longer available upstream?
i486,i686,pentium4 libpgm intrinics everywhere, I doubt this is supposed to run on IA32
i486 librsvg librsvg is written in Rust, requires Rust bootstrapping, use libvrsvg-og for now on i486 only
i486 libck Detecting machine architecture...failed [Must have an i586 class or higher CPU]
i486,i686,pentium4 libgsignon-glib removed upstream, blocks slaves
i486,i686,pentium4 linux-hardened not really useful on pentium4 + hard to maintain
i486 linux-lts,linux-zen,nvidia-lts not required by our huge base of 2 users (so it would not be tested, either)
i486 linux-pae not useful - use i686 instead
i486 ldc ldc needs bootstrapping on i486
i486,i686,pentium4 lrs __int128 everywhere, seems not very portable
i686,pentium4 luxrays does not compile on 32 bit - see FS#54960
i486,i686,pentium4 nginx-mod-pagespeed bundles a 64-bit only version of psol, doesn't build that way
i486,i686,pentium4 netwatch has disappeared, see FS#60799
i486 newsboat newsboat is being rewritten in Rust, not available on i486 for now
i486,i686,pentium4 nsjail kafel has no 32-bit Intel support, see also forum
i486,i686,pentium4 nvidia dropped support after release 390: https://www.phoronix.com/scan.php?page=news_item&px=32-bit-NVIDIA-Drop-Dropping
i686,pentium4 nvidia-lts,nvidia-utils see nvidia
i486 nvidia-utils see nvidia
i486,i686,pentium4 mongodb dropped support for 32-bit in version 3.4
i486,i686,pentium4 moneymanagerex ERROR: mmex is not available for the 'pentium4' architecture.
i486,i686,pentium4 mattermost-desktop electron is blacklistedblacklist/pentium4/electron/messengerfordesktop electron is blacklistedblacklist/pentium4/electron/min electron is blacklistedblacklist/pentium4/electron/obsidian electron is blacklistedblacklist/pentium4/electron/react-native-debugger blocked by electron
i486,i686,pentium4 magma gcc9 blacklisted (as it is needed for cuda stuff), assuming other software requiring gcc9 also depends on cuda
i486,i686,pentium4 meilisearch uses Rust in non 320-bit conformant ways: update_map_size: 100 * 1024 * 1024 * 1024, //100Gb, attempt to compute `104857600_usize * 1024_usize`, which would overflow
i486,i686,pentium4 mysql-workbench doesn't build, doesn't work, complain upstream (@Oracle)
any sage-data-elliptic_curves,sagemath-doc,sagetex python2 setup hangs
i486,i686,pentium4 sagemath python2 setup hangs
i486 skia-sharp does not provide a bin/gn for 32-bit Linux, see FS32#8
i686,pentium4 skia-sharp,skia-sharp58,skia-sharp60 does not provide a bin/gn for 32-bit Linux, see FS32#8
i486,i686,pentium4 sympol depends on lrs
i486,i686,pentium4 svt-av1 CMakeLists.txt: message(WARNING "32-bit is not supported")
i486,i686,pentium4 svt-hevc Intel library, uses 64-bit move intrinsics even in lowest version supporting SSE2, no portable version available, as far as I can seeblacklist/pentium4/tarantool/tarantool hand-crafted assembly code, see upstream
i486,i686,pentium4 pnetcdf-openmpi "Building of PnetCDF cannot continue due to the size of MPI_Offset being less than 8 bytes. Please use an MPI library that supports large files. Abort."
i486 polkit polkit needs js78, using polkit-duktape and duktape on i486 instead (thanks for the hint from Gentoo)
i486,i686,pentium4 polymake depends on lrs and singular
i486,i686,pentium4 parity "32-bit targets are not supported at the moment, You can use '32bit_opt_in' feature. See https://github.com/pepyakin/wasmi/issues/43
i686,pentium4 parallel-netcdf-openmpi requires MPI_Offset >= 8, which is not (yet?) possible on 32 bits - see https://github.com/open-mpi/ompi/issues/3195
i486,i686,pentium4 pidgin-talkfilters deleted upstream
i486,i686,pentium4 percona-server does not build for quite some time, blocks mariadb
i486,i686,pentium4 ppsspp doesn't build on IA-32
i486,i686,pentium4 python-snowboy not available for 32-bit Linux
any python-tensorflow-estimator blacklisted because bazel is blacklisted
i486,i686,pentium4 pynac depends on singular
any rapydscript-ng currently broken, nodejs doesn't build on i486
i686,pentium4 riscv64-linux-gnu-gcc needs manual bootstrap - is it worth the effort?
any riscv64-linux-gnu-glibc see riscv64-linux-gnu-gcc
i486,i686 rkcommon initTaskingSystem _mm_setcsr(unsigned int)’: target specific option mismatch
i486,i686,pentium4 rtl-sdr-lms no clue, why this is built? It doesn't exist upstream (anymore)..
i486 rust,rust156-bin,rust157-bin,rust159-bin,rustup Rust bin doesn't exist as bootstrappable package from Rust itself (as far as I can tell) for i486
i486,i686,pentium4 qcustomplot FS#63554, checkin 64-bit binaries (amalgamate), blacklisting for now
i486,i686,pentium4 qcef contains CEF binaries (not current ones) for 64-bit and MIPS only, no 32-bit Intel. Discuss with the authors if you need it.
i486,i686,pentium4 wine-nine 3d gallium is of little help on 32-bit presumably, winegcc doesn't build it either..
any wire-desktop electron is blacklistedblacklist/pentium4/electron/zettlr electron is blacklistedblacklist/pentium4/firefox-developer-edition/firefox-developer-edition llvm segfaults, virtual memory issues (blacklisting may be temporary)
i486,i686,pentium4 wiredtiger WiredTiger requires a 64-bit build
i486 teamspeak3,teamspeak3-server no need and most likely not running on i486
i486,i686,pentium4 treefrog-framework Doesn't build, see FS#70720
i486,i686,pentium4 vivaldi,vivaldi-ffmpeg-codecs There are no new i386 packages on the web page anymore.
i486,i686,pentium4 vc "Unsupported target architecture 'i686'. No support_???.cpp file exists for this architecture", complain upstream if you need it
any usbctl makes no sense without linux-hardened
i486,i686,pentium4 xmonk.lv2 error: ‘__builtin_ia32_fxsave’ needs isa option -mfxsr
i486,i686,pentium4 xnoise EOL, see http://xnoise-media-player.com/
i486,i686,pentium4 zcash We don't yet support 32bit systems (and we won't by launch) but we can look into this after launch.
i486,i686,pentium4 4ti2,latte-integrale used by sagemath only
i486,i686,pentium4 cmucl cmucl is in multilib? and doesn't build
any cozy-desktop electron is blacklistedblacklist/pentium4/electron/electron fails to build since quite some time - feel free to open pull requests
i486,i686,pentium4 ceph,xrootd fails fatally in check() - see FS32#21
i486,i686,pentium4 criu Seems to require a 64-bit host, can save/restore 32-bit processes, but apparently has not been ported to run in a IA32 hostblacklist/pentium4/cuda/cuda cuda 9.0 is 64-bit only
i486,i686,pentium4 cudnn,nccl,pythia8,python-pycuda,python-pytorch,root,tensorboard,tensorflow cuda 9.0 is 64-bit only
any cura depends on curaengine
i486,i686,pentium4 curaengine 32-bit support has been dropped, see https://github.com/Ultimaker/CuraEngine/issues/1160
i486,i686,pentium4 bazel reports are there for making 32-bit compile, see upstream
i486,i686,pentium4 bitwarden electron is blacklistedblacklist/pentium4/electron/caprine electron is blacklistedblacklist/pentium4/electron/code see above
i486,i686,pentium4 bcc uses gcc __int128, won't work on 32-bit Intel
i486 blender too many things fail to build currently
i486,i686,pentium4 bpftrace src/arch/CMakeLists.txt says unsupported architecture
i486,i686,pentium4 byuu disappeared upstream, Username for 'https://github.com': message
i486,i686,pentium4 byzanz blacklisted, blocks slaves, see FS#62399
i486 aarch64-linux-gnu-gcc,arm-none-eabi-binutils,arm-none-eabi-gcc,arm-none-eabi-gdb,riscv64-linux-gnu-binutils,riscv64-linux-gnu-gcc,riscv64-linux-gnu-gdb no RISC cross-compilers for i486
i486,i686,pentium4 apm electron is blacklistedblacklist/pentium4/electron/asar blacklisted react-native-debugger
any arm-none-eabi-newlib,riscv64-linux-gnu-linux-api-headers no RISC cross-compilers for i486
i486,i686,pentium4 arrayfire "We neither test/build on 32bit architecture nor claim 32bit support."
i486,i686,pentium4 atom,electron10,electron11,electron12,electron13,electron14,electron15,electron16,electron17,electron4,electron5,electron6,electron7,electron9 see above
i486 avr-gcc no AVR cross-compilation from i486 needed
i486,i686,pentium4 gap,singular makedepends on lrs
i486 ghc90-bin not supported yet on i486, difficulties in bootstrapping Haskell
i486,i686,pentium4 gcc8 only needed for cuda
i486,i686,pentium4 geda-gaf not worth fixing, see http://repo.hu/projects/pcb-rnd-aux/pool/fork_faq/geda.html
i486,i686,pentium4 gens is blocking slaves, disappeared upstream
i486,i686,pentium4 gens-gs is multilib, should not even be built?
i486,i686,pentium4 geogebra https://download.geogebra.org/installers/6.0/ shows only old versions for IA32, binary blob, so there is no way we can recompile it.blacklist/pentium4/gitlab/gitlab basically, it never builds
i486,i686,pentium4 grafana fails with YN0001: RangeError: Array buffer allocation failed
any grafana-zabbix grafana doesn't build, fails with YN0001: RangeError: Array buffer allocation failed
i486,i686,pentium4 grafana-agent grafana doesn't build, fails with YN0001: RangeError: Array buffer allocation failed
i486 dnsperf needs libck
i486,i686,pentium4 dotnet-core not available for 32-bit on linux, see here
i486,i686,pentium4 dotnet-core-2.2 Warning: Unsupported CPU i686 detected, build not supported!
i486,i686,pentium4 darktable The target platform is not supported!
i486,i686,pentium4 dart there are no boostrapping ZIP files avaiable for IA32, doesn't seem to be officially supported for IA32
i486,i686,pentium4 dbeaver https://dbeaver.io/download/, "32-bit versions have been obsoleted in version 6.0.1 and later (because both Java and Eclipse platform no longer support 32 bit)."
any dbeaver-plugin-apache-poi,dbeaver-plugin-batik,dbeaver-plugin-bouncycastle,dbeaver-plugin-office,dbeaver-plugin-sshj,dbeaver-plugin-sshj-lib,dbeaver-plugin-svg-format https://dbeaver.io/download/, "32-bit versions have been obsoleted in version 6.0.1 and later (because both Java and Eclipse platform no longer support 32 bit)."
i486 diffoscope blocked by ghc
i486,i686,pentium4 discord,discord-canary,discord-ptb,opera-ffmpeg-codecs as opera itself is blacklisted
i486,i686,pentium4 delve currently no 32-bit support, see upstream
i486 dump_syms written in Rust
i486 firefox gecko is written in Rust
any firefox-developer-edition-i18n see firefox-developer-edition
i486,i686,pentium4 empathy delete upstream, is still constantly rebuild on the buildmaster?
any deepin-account-faces,deepin-dbus-factory,deepin-desktop-base,deepin-desktop-schemas,deepin-gettext-tools,deepin-grub2-themes,deepin-gtk-theme,deepin-help,deepin-icon-theme,deepin-screensaver-pp,deepin-sound-theme,deepin-wallpapers,deepin-wallpapers-extra,deepin-wallpapers-plasma,golang-deepin-gir,golang-deepin-lib,golang-github-linuxdeepin-go-dbus-factory,golang-github-linuxdeepin-go-x11-client deepin fails to build/bootstrap for a long time now
i486 deepin-album,deepin-anything,deepin-anything-arch,deepin-api,deepin-boot-maker,deepin-calculator,deepin-calendar,deepin-camera,deepin-clipboard,deepin-clone,deepin-clutter,deepin-cogl,deepin-compressor,deepin-control-center,deepin-daemon,deepin-dbus-generator,deepin-dock,deepin-draw,deepin-editor,deepin-file-manager,deepin-font-manager,deepin-image-viewer,deepin-kwin,deepin-launcher,deepin-manual,deepin-menu,deepin-metacity,deepin-movie,deepin-music,deepin-mutter,deepin-network-utils,deepin-picker,deepin-polkit-agent,deepin-polkit-agent-ext-gnomekeyring,deepin-printer,deepin-pw-check,deepin-qt-dbus-factory,deepin-qt5dxcb-plugin,deepin-qt5integration,deepin-qt5platform-plugins,deepin-reader,deepin-screen-recorder,deepin-screensaver,deepin-screenshot,deepin-session-shell,deepin-session-ui,deepin-shortcut-viewer,deepin-store,deepin-system-monitor,deepin-terminal,deepin-terminal-gtk,deepin-topbar,deepin-turbo,deepin-voice-note,deepin-voice-recorder,deepin-wm,dtkcore,dtkwidget,dtkwm,shadowsocks-deepin,startdde deepin fails to build/bootstrap for a long time now
i686,pentium4 deepin-album,deepin-anything,deepin-anything-arch,deepin-api,deepin-boot-maker,deepin-calculator,deepin-calendar,deepin-camera,deepin-clipboard,deepin-clone,deepin-clutter,deepin-cogl,deepin-compressor,deepin-control-center,deepin-daemon,deepin-dbus-generator,deepin-dock,deepin-draw,deepin-editor,deepin-file-manager,deepin-font-manager,deepin-image-viewer,deepin-kwin,deepin-launcher,deepin-manual,deepin-menu,deepin-metacity,deepin-movie,deepin-music,deepin-mutter,deepin-network-utils,deepin-notifications,deepin-picker,deepin-polkit-agent,deepin-polkit-agent-ext-gnomekeyring,deepin-printer,deepin-pw-check,deepin-qt-dbus-factory,deepin-qt5dxcb-plugin,deepin-qt5integration,deepin-qt5platform-plugins,deepin-reader,deepin-screen-recorder,deepin-screensaver,deepin-screenshot,deepin-session-shell,deepin-session-ui,deepin-shortcut-viewer,deepin-store,deepin-system-monitor,deepin-terminal,deepin-terminal-gtk,deepin-topbar,deepin-turbo,deepin-voice-note,deepin-voice-recorder,deepin-wm,dtkcore,dtkwidget,dtkwm,shadowsocks-deepin,startdde deepin fails to build/bootstrap for a long time now
i486,i686,pentium4 element.io electron is blacklistedblacklist/pentium4/electron/emby-server electron is blacklistedblacklist/pentium4/electron/emby-theater electron is blacklistedblacklist/pentium4/electron/geogebra electron17 is blacklisted and no longer supported on IA-32
i486,i686,pentium4 electron See also https://www.electronjs.org/blog/linux-32bit-support
i486 agda,agda-stdlib,alex,c2hs,cabal-install,cgrep,cryptol,darcs,ghc,git-annex,git-repair,happy,haskell-abstract-deque,haskell-abstract-par,haskell-adjunctions,haskell-aeson,haskell-aeson-better-errors,haskell-aeson-compat,haskell-aeson-diff,haskell-aeson-pretty,haskell-aeson-qq,haskell-aeson-yaml,haskell-alsa-core,haskell-alsa-mixer,haskell-annotated-wl-pprint,haskell-ansi-terminal,haskell-ansi-wl-pprint,haskell-appar,haskell-asn1-encoding,haskell-asn1-parse,haskell-asn1-types,haskell-assoc,haskell-async,haskell-atomic-write,haskell-attoparsec,haskell-attoparsec-iso8601,haskell-authenticate,haskell-authenticate-oauth,haskell-auto-update,haskell-aws,haskell-base-compat,haskell-base-compat-batteries,haskell-base-noprelude,haskell-base-orphans,haskell-base-prelude,haskell-base-unicode-symbols,haskell-base16-bytestring,haskell-base64-bytestring,haskell-basement,haskell-basic-prelude,haskell-bencode,haskell-bifunctors,haskell-binary-conduit,haskell-binary-instances,haskell-binary-orphans,haskell-binary-parser,haskell-binary-tagged,haskell-bindings-uname,haskell-bitarray,haskell-blaze-builder,haskell-blaze-html,haskell-blaze-markup,haskell-bloomfilter,haskell-bower-json,haskell-boxes,haskell-brick,haskell-broadcast-chan,haskell-bsb-http-chunked,haskell-bug,haskell-byteable,haskell-byteorder,haskell-bytestring-show,haskell-bytestring-strict-builder,haskell-bytestring-tree-builder,haskell-bz2,haskell-bzlib,haskell-cabal-doctest,haskell-cairo,haskell-call-stack,haskell-casa-client,haskell-casa-types,haskell-case-insensitive,haskell-cassava,haskell-cassava-megaparsec,haskell-cborg,haskell-cborg-json,haskell-cereal,haskell-charset,haskell-chasingbottoms,haskell-cheapskate,haskell-checkers,haskell-chell,haskell-chell-quickcheck,haskell-chunked-data,haskell-cipher-aes,haskell-cipher-aes128,haskell-clash-prelude,haskell-classy-prelude,haskell-clientsession,haskell-clock,haskell-cmark-gfm,haskell-cmdargs,haskell-code-page,haskell-colour,haskell-comonad,haskell-concise,haskell-concurrent-output,haskell-concurrent-supply,haskell-conduit,haskell-conduit-extra,haskell-config-ini,haskell-configfile,haskell-configurator,haskell-configurator-ng,haskell-configurator-pg,haskell-connection,haskell-constraints,haskell-contravariant,haskell-contravariant-extras,haskell-control-monad-free,haskell-conversion,haskell-conversion-bytestring,haskell-conversion-text,haskell-cookie,haskell-cpphs,haskell-cprng-aes,haskell-cracknum,haskell-critbit,haskell-criterion,haskell-criterion-measurement,haskell-crypto-api,haskell-crypto-api-tests,haskell-crypto-cipher-types,haskell-crypto-numbers,haskell-crypto-pubkey,haskell-crypto-pubkey-types,haskell-crypto-random,haskell-cryptohash,haskell-cryptohash-conduit,haskell-cryptohash-cryptoapi,haskell-cryptohash-md5,haskell-cryptohash-sha1,haskell-cryptohash-sha256,haskell-cryptonite,haskell-cryptonite-conduit,haskell-css-text,haskell-csv,haskell-data-accessor,haskell-data-accessor-template,haskell-data-accessor-transformers,haskell-data-binary-ieee754,haskell-data-bword,haskell-data-checked,haskell-data-clist,haskell-data-default,haskell-data-default-class,haskell-data-default-instances-base,haskell-data-default-instances-containers,haskell-data-default-instances-dlist,haskell-data-default-instances-old-locale,haskell-data-dword,haskell-data-endian,haskell-data-fix,haskell-data-hash,haskell-data-ordlist,haskell-data-serializer,haskell-data-textual,haskell-dataenc,haskell-dav,haskell-dbus,haskell-dbus-hslogger,haskell-dec,haskell-decimal,haskell-deepseq-generics,haskell-deferred-folds,haskell-dense-linear-algebra,haskell-deriving-compat,haskell-descriptive,haskell-diff,haskell-digest,haskell-disk-free-space,haskell-distributive,haskell-djinn-ghc,haskell-djinn-lib,haskell-dlist,haskell-dlist-instances,haskell-dns,haskell-doclayout,haskell-docopt,haskell-doctemplates,haskell-doctest,haskell-dotgen,haskell-double-conversion,haskell-drbg,haskell-dyre,haskell-easy-file,haskell-easytest,haskell-echo,haskell-ed25519,haskell-edisonapi,haskell-edisoncore,haskell-edit-distance,haskell-edit-distance-vector,haskell-either,haskell-ema ghc needs to be bootstrapped first - fun, fun, fun!